## bluemon 1.2

=== Makefile ===
LIBRARYPATH ?= /usr/lib
LIBS = -L$(LIBRARYPATH) -lbluetooth `pkg-config --libs dbus-1`
INCLUDES=`pkg-config --cflags dbus-1`
# Where to put stuff on 'make install'?
PREFIX ?= $(DESTDIR)/usr
SBIN    ?= $(PREFIX)/sbin
BIN    ?= $(PREFIX)/sbin
MAN    ?= $(PREFIX)/share/man/man1
DOC    ?= $(PREFIX)/share/doc/bluemon
CONFIG ?= $(PREFIX)/etc/bluemon
DBUSCONFIG ?= $(PREFIX)/etc/dbus-1/system.d
VERSION = 1.2
DEB_VER = 
DEB_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_RELEASE ?= $(shell sh -c '(lsb_release -c || echo unknown) | cut -f2' 2>/dev/null)
   
all: bluemon bluemon-client bluemon-query bluemon.1 bluemon-client.1 bluemon-query.1 bluemon-dbus.7

print-release-name:
	echo $(DEB_RELEASE)

bluemon: bluetooth-monitor.c
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<
bluemon-query: bluemon-query.c
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<
bluemon-client: bluemon-client.c
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<

%.1: %.sgml
	docbook-to-man $< > $@
%.7: %.sgml
	docbook-to-man $< > $@
  
uninstall:
	-rm $(CONFIG)/bluemon.conf
	-rm $(DOC)/examples/bluemon.conf
	-rm $(DOC)/examples/bluemon.init
	-rm $(DOC)/README
	-rm $(DOC)/bluemon-dbus.xml
	-rm $(DOC)/INSTALL
	-rm $(DOC)/COPYING
	-rm $(MAN)/bluemon.1
	-rm $(MAN)/bluemon-query.1
	-rm $(MAN)/bluemon-client.1
	-rm $(MAN)/bluemon-dbus.7
	-rm $(SBIN)/bluemon
	-rm $(BIN)/bluemon-query
	-rm $(BIN)/bluemon-client
   
install: install-bin install-man install-config install-doc install-examples install-readme

install-config: debian/bluemon.default
	install -d $(CONFIG)
	install -m 644 $< $(CONFIG)/bluemon.conf
install-dbus: bluemon-dbus.conf
	install -d $(DBUSCONFIG)
	install -m 644 $< $(DBUSCONFIG)/bluemon.conf
install-readme: README
	install -d $(DOC) 
	install -m 644 README $(DOC)/README
	install -m 644 bluemon-dbus.xml $(DOC)/bluemon-dbus.xml
install-doc: INSTALL COPYING
	install -d $(DOC) 
	install -m 644 INSTALL $(DOC)/INSTALL
	install -m 644 COPYING $(DOC)/COPYING
install-examples: bluemon.default bluemon.init 
	install -d $(DOC) 
	install -d $(DOC)/examples
	install -m 644 bluemon.default $(DOC)/examples/bluemon.conf
	install -m 644 bluemon.init $(DOC)/examples/bluemon.init

install-man: bluemon.1 bluemon-query.1 bluemon-dbus.7 bluemon-client.1
	install -d $(MAN)
	install -m 644 bluemon.1 $(MAN)/bluemon.1
	install -m 644 bluemon-query.1 $(MAN)/bluemon-query.1
	install -m 644 bluemon-client.1 $(MAN)/bluemon-client.1
	install -m 644 bluemon-dbus.7 $(MAN)/bluemon-dbus.7

install-bin: bluemon bluemon-query bluemon-client
	install -d $(BIN)
	install -d $(SBIN)
	install ./bluemon $(SBIN)/bluemon
	install ./bluemon-query $(BIN)/bluemon-query
	install ./bluemon-client $(BIN)/bluemon-client

clean:
	-rm bluemon
	-rm bluemon-query
	-rm bluemon-client
	-rm bluemon.1
	-rm bluemon-query.1
	-rm bluemon-client.1
	-rm bluemon-dbus.7
dist-clean: clean
	-rm .dist
	-rm -rf bluemon-$(VERSION)
	-rm bluemon_$(VERSION)$(DEB_VER).diff.gz
	-rm bluemon_$(VERSION)$(DEB_VER).dsc
	-rm bluemon_$(VERSION)$(DEB_VER)_*.changes
	-rm bluemon_$(VERSION)$(DEB_VER)_*.deb
	-rm bluemon_$(VERSION)$(DEB_VER)_*.build
	-rm bluemon_$(VERSION).orig.tar.gz
clean-local-upload:
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon-$(VERSION).tar.gz
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon_$(VERSION)$(DEB_VER).diff.gz  
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon_$(VERSION).orig.tar.gz  
	-rm /var/www/www/admin/illythia/projects_bluemon_$(DEB_RELEASE)_bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb  
	-rm /var/www/www/admin/illythia/projects_bluemon_README  
	-rm /var/www/www/admin/illythia/projects_bluemon_INSTALL  
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon-query.1  
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon-client.1  
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon.1 
	-rm /var/www/www/admin/illythia/projects_bluemon_bluemon-dbus.7 


dist: .dist
.dist: bluemon-query.c bluetooth-monitor.c Makefile bluemon-query.sgml bluemon.sgml README INSTALL COPYING debian/bluemon.default debian/bluemon.init bluemon-client.c bluemon-client.sgml bluemon-dbus.sgml bluemon-dbus.xml bluemon-dbus.conf
	-rm -rf bluemon-$(VERSION)
	mkdir bluemon-$(VERSION)
	cp -af $^ bluemon-$(VERSION)
	touch .dist

bluemon.init: 
	cp -f debian/$@ $@
bluemon.default: 
	cp -f debian/$@ $@
	
bluemon-$(VERSION): .dist
	
bluemon-$(VERSION).tar.gz: .dist
	tar zcf $@ bluemon-$(VERSION)
	
bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb: .dist bluemon-$(VERSION).tar.gz
	cp -f bluemon-$(VERSION).tar.gz bluemon_$(VERSION).orig.tar.gz
	cp -af debian bluemon-$(VERSION)
	(cd bluemon-$(VERSION); debuild -uc -us -rfakeroot)

deb: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb
bluemon_$(VERSION)$(DEB_VER).dsc: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb
bluemon_$(VERSION)$(DEB_VER).diff.gz: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb
bluemon_$(VERSION).orig.tar.gz: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb

/var/www/www/admin/illythia/projects_bluemon_%: %
	cp $< $@
/var/www/www/admin/illythia/projects_bluemon_$(DEB_RELEASE)_%: %
	cp $< $@
	
local-upload: .local-upload
.local-upload: \
	/var/www/www/admin/illythia/projects_bluemon_bluemon-$(VERSION).tar.gz \
	/var/www/www/admin/illythia/projects_bluemon_bluemon_$(VERSION)$(DEB_VER).diff.gz \
	/var/www/www/admin/illythia/projects_bluemon_bluemon_$(VERSION)$(DEB_VER).dsc \
	/var/www/www/admin/illythia/projects_bluemon_bluemon_$(VERSION).orig.tar.gz \
	/var/www/www/admin/illythia/projects_bluemon_$(DEB_RELEASE)_bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb \
	/var/www/www/admin/illythia/projects_bluemon_README \
	/var/www/www/admin/illythia/projects_bluemon_INSTALL \
	/var/www/www/admin/illythia/projects_bluemon_bluemon-query.1 \
	/var/www/www/admin/illythia/projects_bluemon_bluemon-client.1 \
	/var/www/www/admin/illythia/projects_bluemon_bluemon-dbus.1 \
	/var/www/www/admin/illythia/projects_bluemon_bluemon.1 \
	/var/www/www/admin/illythia/projects_bluemon_bluemon-dbus.xml
	(cd /var/www/www/admin/illythia; echo  $^ | sed 's,[^ ]*projects_bluemon_,projects/bluemon/,g' | xargs -tn1 ./update.php)
	touch .local-upload

## bluemon 1.3

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # Where to put stuff on 'make install'?
 PREFIX ?= $(DESTDIR)/usr
 SBIN    ?= $(PREFIX)/sbin
-BIN    ?= $(PREFIX)/sbin
-MAN    ?= $(PREFIX)/share/man/man1
+BIN    ?= $(PREFIX)/bin
+MAN    ?= $(PREFIX)/share/man
 DOC    ?= $(PREFIX)/share/doc/bluemon
-CONFIG ?= $(PREFIX)/etc/bluemon
-DBUSCONFIG ?= $(PREFIX)/etc/dbus-1/system.d
-VERSION = 1.2
-DEB_VER = 
+CONFIG ?= $(DESTDIR)/etc/bluemon
+DBUSCONFIG ?= $(DESTDIR)/etc/dbus-1/system.d
+VERSION = 1.3
+DEB_VER = -1
 DEB_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_RELEASE ?= $(shell sh -c '(lsb_release -c || echo unknown) | cut -f2' 2>/dev/null)
    
@@ -20,7 +20,7 @@
 	echo $(DEB_RELEASE)
 
 bluemon: bluetooth-monitor.c
-	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<
+	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -DVERSION=\"$(VERSION)\" -o $@ $<
 bluemon-query: bluemon-query.c
 	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $<
 bluemon-client: bluemon-client.c
@@ -39,10 +39,11 @@
 	-rm $(DOC)/bluemon-dbus.xml
 	-rm $(DOC)/INSTALL
 	-rm $(DOC)/COPYING
-	-rm $(MAN)/bluemon.1
-	-rm $(MAN)/bluemon-query.1
-	-rm $(MAN)/bluemon-client.1
-	-rm $(MAN)/bluemon-dbus.7
+	-rm $(DOC)/changelog
+	-rm $(MAN)/man1/bluemon.1
+	-rm $(MAN)/man1/bluemon-query.1
+	-rm $(MAN)/man1/bluemon-client.1
+	-rm $(MAN)/man7/bluemon-dbus.7
 	-rm $(SBIN)/bluemon
 	-rm $(BIN)/bluemon-query
 	-rm $(BIN)/bluemon-client
@@ -59,6 +60,7 @@
 	install -d $(DOC) 
 	install -m 644 README $(DOC)/README
 	install -m 644 bluemon-dbus.xml $(DOC)/bluemon-dbus.xml
+	install -m 644 changelog $(DOC)/changelog
 install-doc: INSTALL COPYING
 	install -d $(DOC) 
 	install -m 644 INSTALL $(DOC)/INSTALL
@@ -71,10 +73,12 @@
 
 install-man: bluemon.1 bluemon-query.1 bluemon-dbus.7 bluemon-client.1
 	install -d $(MAN)
-	install -m 644 bluemon.1 $(MAN)/bluemon.1
-	install -m 644 bluemon-query.1 $(MAN)/bluemon-query.1
-	install -m 644 bluemon-client.1 $(MAN)/bluemon-client.1
-	install -m 644 bluemon-dbus.7 $(MAN)/bluemon-dbus.7
+	install -d $(MAN)/man1
+	install -d $(MAN)/man7
+	install -m 644 bluemon.1 $(MAN)/man1/bluemon.1
+	install -m 644 bluemon-query.1 $(MAN)/man1/bluemon-query.1
+	install -m 644 bluemon-client.1 $(MAN)/man1/bluemon-client.1
+	install -m 644 bluemon-dbus.7 $(MAN)/man7/bluemon-dbus.7
 
 install-bin: bluemon bluemon-query bluemon-client
 	install -d $(BIN)
@@ -114,7 +118,7 @@
 
 
 dist: .dist
-.dist: bluemon-query.c bluetooth-monitor.c Makefile bluemon-query.sgml bluemon.sgml README INSTALL COPYING debian/bluemon.default debian/bluemon.init bluemon-client.c bluemon-client.sgml bluemon-dbus.sgml bluemon-dbus.xml bluemon-dbus.conf
+.dist: bluemon-query.c bluetooth-monitor.c Makefile bluemon-query.sgml bluemon.sgml README INSTALL COPYING debian/bluemon.default debian/bluemon.init bluemon-client.c bluemon-client.sgml bluemon-dbus.sgml bluemon-dbus.xml bluemon-dbus.conf changelog
 	-rm -rf bluemon-$(VERSION)
 	mkdir bluemon-$(VERSION)
 	cp -af $^ bluemon-$(VERSION)
@@ -134,6 +138,8 @@
 	cp -f bluemon-$(VERSION).tar.gz bluemon_$(VERSION).orig.tar.gz
 	cp -af debian bluemon-$(VERSION)
 	(cd bluemon-$(VERSION); debuild -uc -us -rfakeroot)
+	lintian $@
+	lintian bluemon_$(VERSION)$(DEB_VER).dsc
 
 deb: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb
 bluemon_$(VERSION)$(DEB_VER).dsc: bluemon_$(VERSION)$(DEB_VER)_$(DEB_ARCH).deb

## bluemon 1.4

=== Makefile ===
LIBRARYPATH ?= /usr/lib
LIBS = -L$(LIBRARYPATH) -lbluetooth `pkg-config --libs dbus-1`
INCLUDES=`pkg-config --cflags dbus-1`
# Where to put stuff on 'make install'?
PREFIX ?= $(DESTDIR)/usr
SBIN    ?= $(PREFIX)/sbin
BIN    ?= $(PREFIX)/bin
MAN    ?= $(PREFIX)/share/man
DOC    ?= $(PREFIX)/share/doc/bluemon
CONFIG ?= $(DESTDIR)/etc/bluemon
DBUSCONFIG ?= $(DESTDIR)/etc/dbus-1/system.d
VERSION = 1.4
DEB_VER = -1
DEB_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_RELEASE ?= $(shell sh -c '(lsb_release -c || echo unknown) | cut -f2' 2>/dev/null)
   
all: bluemon bluemon-client bluemon-query bluemon.1 bluemon-client.1 bluemon-query.1 bluemon-dbus.7

print-release-name:
	echo $(DEB_RELEASE)

bluemon: bluetooth-monitor.c
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -DVERSION=\"$(VERSION)\" -o $@ $<
bluemon-query: bluemon-query.c
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -DVERSION=\"$(VERSION)\" -o $@ $<
bluemon-client: bluemon-client.c
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -DVERSION=\"$(VERSION)\" -o $@ $<

%.1: %.sgml
	docbook-to-man $< > $@
%.7: %.sgml
	docbook-to-man $< > $@
  
uninstall:
	rm -f $(CONFIG)/bluemon.conf
	rm -f $(DOC)/examples/bluemon.conf
	rm -f $(DOC)/examples/bluemon.init
	rm -f $(DOC)/README
	rm -f $(DOC)/bluemon-dbus.xml
	rm -f $(DOC)/INSTALL
	rm -f $(DOC)/COPYING
	rm -f $(DOC)/changelog
	rm -f $(MAN)/man1/bluemon.1
	rm -f $(MAN)/man1/bluemon-query.1
	rm -f $(MAN)/man1/bluemon-client.1
	rm -f $(MAN)/man7/bluemon-dbus.7
	rm -f $(SBIN)/bluemon
	rm -f $(BIN)/bluemon-query
	rm -f $(BIN)/bluemon-client
   
install: install-bin install-man install-config install-doc install-examples install-readme

install-config: bluemon.default
	install -d $(CONFIG)
	install -m 644 $< $(CONFIG)/bluemon.conf
install-dbus: bluemon-dbus.conf
	install -d $(DBUSCONFIG)
	install -m 644 $< $(DBUSCONFIG)/bluemon.conf
install-readme: README
	install -d $(DOC) 
	install -m 644 README $(DOC)/README
	install -m 644 bluemon-dbus.xml $(DOC)/bluemon-dbus.xml
	install -m 644 changelog $(DOC)/changelog
install-doc: INSTALL COPYING
	install -d $(DOC) 
	install -m 644 INSTALL $(DOC)/INSTALL
	install -m 644 COPYING $(DOC)/COPYING
install-examples: bluemon.default bluemon.init 
	install -d $(DOC) 
	install -d $(DOC)/examples
	install -m 644 bluemon.default $(DOC)/examples/bluemon.conf
	install -m 644 bluemon.init $(DOC)/examples/bluemon.init

install-man: bluemon.1 bluemon-query.1 bluemon-dbus.7 bluemon-client.1
	install -d $(MAN)
	install -d $(MAN)/man1
	install -d $(MAN)/man7
	install -m 644 bluemon.1 $(MAN)/man1/bluemon.1
	install -m 644 bluemon-query.1 $(MAN)/man1/bluemon-query.1
	install -m 644 bluemon-client.1 $(MAN)/man1/bluemon-client.1
	install -m 644 bluemon-dbus.7 $(MAN)/man7/bluemon-dbus.7

install-bin: bluemon bluemon-query bluemon-client
	install -d $(BIN)
	install -d $(SBIN)
	install ./bluemon $(SBIN)/bluemon
	install ./bluemon-query $(BIN)/bluemon-query
	install ./bluemon-client $(BIN)/bluemon-client

clean:
	rm -f bluemon
	rm -f bluemon-query
	rm -f bluemon-client
	rm -f bluemon.1
	rm -f bluemon-query.1
	rm -f bluemon-client.1
	rm -f bluemon-dbus.7
dist-clean: clean
	rm -f .dist
	rm -rf bluemon-$(VERSION)
	rm -f bluemon_$(VERSION).orig.tar.gz

dist: .dist
.dist: bluemon-query.c bluetooth-monitor.c Makefile bluemon-query.sgml bluemon.sgml README INSTALL COPYING bluemon.default bluemon.init bluemon-client.c bluemon-client.sgml bluemon-dbus.sgml bluemon-dbus.xml bluemon-dbus.conf changelog
	rm -rf bluemon-$(VERSION)
	mkdir bluemon-$(VERSION)
	cp -af $^ bluemon-$(VERSION)
	touch .dist

bluemon-$(VERSION): .dist
	
bluemon-$(VERSION).tar.gz: .dist
	tar zcf $@ bluemon-$(VERSION)

=== debian/changelog ===
bluemon (1.4-8) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper >= 10' to
        'debhelper-compat = 13'.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.5.1.
  * debian/copyright:
      - Updated Format field from 'http' to 'https'.
      - Updated packaging copyright years.
  * debian/rules: removed unnecessary dh argument '--parallel'.
  * debian/watch: updated to version 4.

 -- Thiago Andrade Marques <andrade@debian.org>  Fri, 04 Dec 2020 12:49:09 -0300

bluemon (1.4-7) unstable; urgency=medium

  * QA upload.
  * Convert to Source-Format 3.0 (quilt)
  * debian/control, debian/compat:
    - change debhelper-compat level to 10
  * debian/control:
    - set Maintainer to QA group, package is orphaned (#762537)
    - add dependency on lsb-base for init script
    - run wrap-and-sort -sa
    - declare policy-compliance for Policy 3.9.8
    - Add a homepage field
  * debian/rules:
    - use dh
  * debian/prerm+preinst:
    - Remove prerm file, was only needed for upgrades from version 1.3-1.2,
      which no longer is in any supported Debian release
    - Remove preinst file, debhelper does the right thing automatically
  * debian/dirs:
    - Remove, not needed
  * debian/init:
    - Add $remote_fs to Required-Start/-Stop
    - Also stop at runlevel 1
    - Don't start daemon on restart action if disabled in /etc/defaults/bluemon
      (Closes: #679109)
  * debian/copyright:
    - Add a machine-readable copyright-file
  * debian/patches:
    - add-cppflags-hardening.patch: Add CPPFLAGS and LDFLAGS to pass hardening
      options to the compiler. This also fixes build with binutils-gold
      (Closes: #612181)
    - add clang-ftbfs.diff to Fix FTBFS with clang:
      Fixed the non-void function should return a value in
      bluetooth-monitor.c (Closes: #740036)
      Patch from Arthur Marble <arthur@info9.net>

 -- Andreas Moog <andreas.moog@warperbbs.de>  Fri, 26 May 2017 19:42:43 +0200

bluemon (1.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compatibility level to 9 (Closes: #817379)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 13 Aug 2016 12:33:20 -0300

bluemon (1.4-6) unstable; urgency=low

  * Change dependency bluez-utils => bluez (Closes: #534315)
  * Change build-dep libbluetooth2-dev => libbluetooth-dev (Closes: #530353)
  * Dummy closes to mark bug which was fixed ages ago an fixed here (Closes: #399021)

 -- Matthew Johnson <mjj29@debian.org>  Thu, 25 Jun 2009 08:21:00 +0100

bluemon (1.4-5) unstable; urgency=high

  * Add fix-system-bus-permissions.diff so that it works
    with the fixed dbus (Closes: #510628)
  * Urgency high because it blocks #503532
  * Adding a dependency on quilt to apply the patch

 -- Matthew Johnson <mjj29@debian.org>  Sat, 03 Jan 2009 21:31:53 +0000

bluemon (1.4-4) unstable; urgency=low

  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Tue, 05 Feb 2008 09:28:01 +0000

bluemon (1.4-3) unstable; urgency=low

  * Update copyright
  * Ensure init.d-script-missing-lsb-section fix is actually included this
    time...
  * Remove superfluous files.
  * Update maintainer address

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:24:56 +0000

bluemon (1.4-2) unstable; urgency=low

  * Fix init.d-script-missing-lsb-section
  * Use lsb-functions in init script

 -- Matthew Johnson <debian@matthew.ath.cx>  Mon, 27 Nov 2006 13:19:41 +0000

bluemon (1.4-1) unstable; urgency=low

  * New Upstream Release
  * Don't enable by default. (Closes: #392260)
    Patch from Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
  * Starting with default config file confirmed working
    (Closes: #359240)

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue, 14 Nov 2006 13:36:50 +0000

bluemon (1.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't fail when bluemon is already stopped. (Closes: #387433)

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 29 Sep 2006 20:18:47 +0200

bluemon (1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dependency from libbluetooth1 to libbluetooth2. (closes: #376875)
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Tue, 11 Jul 2006 13:43:16 +0200

bluemon (1.3-1) unstable; urgency=low

  * New Upstream Release:
  - bug fixes
  Closes: #348693: manpage misplaced
  Closes: #349791: Does not have DBus privileges to start
  * Clarify description
  Closes: #348691: bluemon description could mention dbus

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 25 Jan 2006 10:23:50 +0000

bluemon (1.2-1) unstable; urgency=low

  * New Upstream Release:
  - Added support for monitoring multiple devices, disabling of link quality
    monitoring and defaults for threshold and interval

 -- Matthew Johnson <debian@matthew.ath.cx>  Mon,  9 Jan 2006 14:50:24 +0000

bluemon (1.1-1) unstable; urgency=low

  * New Upstream Release:
  - DBUS integration, Separate client and server binaries,
    fix for disconnects

 -- matthew johnson <debian@matthew.ath.cx>  Tue,  1 Nov 2005 14:20:04 +0000

bluemon (1.0-1) unstable; urgency=low

  * Released version 1.0, documentation and build fixes.

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue, 18 Oct 2005 12:45:24 +0100

bluemon (0.02-1) unstable; urgency=low

  * New Upstream Release:
  - Many fixes and upgrades, Query infrastructure.

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 13 Apr 2005 08:40:42 +0100

bluemon (0.01-1) unstable; urgency=low

  * Initial Release.

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue,  9 Nov 2004 13:28:09 +0000

=== debian/control ===
Source: bluemon
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.matthew.ath.cx/projects/bluemon/
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
               dpkg-dev (>= 1.16.1~),
               libbluetooth-dev,
               libdbus-1-dev (>= 0.60),
               pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: bluemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, bluez, lsb-base (>= 3.0-6)
Description: Activate or deactivate programs based on Bluetooth link quality
 BlueMon monitors the quality of the link to a Bluetooth device and can start
 or stop programs when the threshold drops below a certain value. This can be
 used to perform actions like locking the terminal when you walk away from it.
 .
 Bluemon uses the DBus system bus to alert other applications to the presence
 of Bluetooth devices. A user binary can then start or stop programs when such
 signals are received.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/bluemon install-bin install-readme install-man install-dbus

=== debian/watch ===
version=4
http://www.matthew.ath.cx/projects/bluemon (?:.*/)?bluemon-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
